Actions

ComfortUpdate

From LimeSurvey Manual

This page is a translated version of the page ComfortUpdate and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Nederlands • ‎Tiếng Việt • ‎dansk • ‎español • ‎français • ‎italiano • ‎magyar • ‎polski • ‎português do Brasil • ‎română • ‎slovenščina • ‎български • ‎русский • ‎日本語

Allgemeines

Das ComfortUpdate ist eine professionelle Dienstleistung der LimeSurvey GmbH, mit der Sie LimeSurvey mit nur wenigen Mausklicks aus Ihrem Browser heraus aktualisieren, anstatt ein manuelles Update durchführen zu müssen.

Um ComfortUpdate nutzen und testen zu können, müssen Sie sich bei LimeSurvey anmelden, um einen kostenlosen Testschlüssel zu erhalten. Nachdem dieser Testschlüssel abgelaufen ist, können Sie entweder eines unserer Premium-Pakete kaufen oder Ihre Installation manuell aktualisieren.


Important.png  Um Ihren ComfortUpdate-Schlüssel zu kopieren und zu verwenden, rufen Sie Ihr LimeSurvey-Profil auf und sehen Sie sich den unteren Abschnitt COMFORTUPDATE-SCHLÜSSEL an.


Voraussetzungen

Ihre PHP-Installation muss mit Unterstützung für ZLib kompiliert sein und die .php OpenSSL-Erweiterung muss installiert und aktiviert sein. Überprüfen Sie Ihre PHPInfo oder bitten Sie Ihren Systemadministrator um eine Bestätigung.

Um das ComfortUpdate-Tool nutzen zu können, muss Ihr Server eine SSL-Verbindung zu „comfortupdate.limesurvey.org“ herstellen können. Wenn Sie Probleme haben und Fehlermeldungen wie „10060 konnte keine Verbindung zum Host 'comfortupdate.limesurvey.org' herstellen“ erhalten, müssen Sie Ihre Proxy-/Firewall-Sicherheitseinstellungen anpassen/bearbeiten oder Ihren Serveradministrator um weitere Anleitung/Hilfe bitten.

Anwendung von ComfortUpdate

Die LimeSurvey ComfortUpdate-Funktion kann auch bei aktiven Umfragen sicher verwendet werden. Es werden keine vorhandenen Daten gelöscht oder zerstört. Aus Vorsichtsgründen sollten Sie jedoch Ihre aktuelle Datenbank und Dateien manuell sichern, bevor Sie fortfahren.

  • Finden Sie die "Update"-Schaltfläche
    • Bei älteren LimeSurvey-Versionen: Klicken sie auf das "Globale Einstellungen"-Symbol, wählen den ersten Reiter und klicken Sie auf die Schaltfläche für "Updates"
    • Bei neueren LimeSurvey-Versionen finden Sie die ComfortUpdate-Schaltfläche im Hauptmenü unter "Konfiguration - Erweitert"


ComfortUpdate.png


  • Auf dem ComfortUpdate-Bildschirm wird ein Update-Link angezeigt, wenn eine neue Version von LimeSurvey verfügbar ist. Wenn nicht, klicken Sie auf "Jetzt prüfen", um festzustellen, ob ein neues Update verfügbar ist!
  • Wenn ein Update gefunden wird, zeigt LimeSurvey einen Link an, über den Sie die Applikation aktualisieren können. Klicken Sie auf diesen Link, um mit der Aktualisierung zu beginnen!
  • Wenn Sie ComfortUpdate noch nie verwendet haben oder der Upgrade-Schlüssel für ComfortUpdate nicht gültig ist, werden Sie aufgefordert, einen Upgrade-Schlüssel einzugeben.


ComfortUpdateKey.png


  • LimeSurvey überprüft nun Ihr Installationsverzeichnis, um zu prüfen, ob die entsprechenden Berechtigungen für das Update gesetzt sind. Eine Liste der vorgeschlagenen Änderungen wird angezeigt!
  • Wenn Probleme auftreten, müssen Sie diese zuerst an dieser Stelle korrigieren und dann mit dem nächsten Schritt fortfahren!
  • Das ComfortUpdate erstellt jetzt eine Sicherungskopie Ihrer Datenbank (falls Sie MySQL verwenden) und speichert Ihre alten Installationsdateien im Verzeichnis /tmp. Wenn Sie eine andere Datenbank verwenden, sollten Sie Ihre Datenbank manuell sichern, bevor Sie fortfahren!

ComfortUpdate aktualisiert jetzt Ihre Installation auf die neueste Version und aktualisiert auch die Datenbank, um die neuen (möglichen) Änderungen zu berücksichtigen.

ComfortUpdate deaktivieren

Um ComfortUpdate zu deaktivieren und zu vermeiden, dass nach jeder neuen Version Popup-Meldungen „Neue Version verfügbar“ angezeigt werden, können Sie die folgende Option zu Ihrer Datei „config.php“ (die sich in /limesurvey/application befindet) hinzufügen /config:

 
'updatable' => false

Wir empfehlen jedoch dringend, dies nicht zu deaktivieren, da Sie möglicherweise wichtige Sicherheitsupdates verpassen.

Fehlerbehebung

Beim ComfortUpdate erhalte ich eine Fehlermeldung

Als ersten Schritt versuchen Sie bitte, den gleichen Schritt nach einer Minute noch einmal auszuführen. Gelegentlich muss der Server zunächst das Update-Paket generieren, was eine Minute dauern kann. Wenn es immer noch nicht funktioniert, prüfen Sie die anderen Lösungen in diesem Abschnitt zur Fehlerbehebung.

Keine Serverantwort – Der ComfortUpdate-Server antwortet nicht

Ab Dezember 2022 wurde die Standardverbindung zu unserem aktualisierten Server so geändert, dass nur noch SSL verwendet wird. Dies erfordert, dass die OpenSSL-PHP-Bibliothek auf Ihrem Server ordnungsgemäß konfiguriert ist und aktiviert ist und dass Ihr Server eine Verbindung per HTTP-SSL-Verbindung nach außen (zu unserem Server Comfortupdate.limesurvey.org) herstellen darf. Wenn eine dieser Voraussetzungen nicht erfüllt ist, erhalten Sie diese Meldung. Eine „vorübergehende“ Problemumgehung (die wir nicht empfehlen) besteht darin, diese Anforderung in /application/config/updater_version.php

durch die Einstellung zu deaktivieren.

 
$config['comfort_update_server_ssl'] = 0;

Leere Seite bei Schritt 3

Wenn Sie eine leere Seite bei Schritt 3 bekommen, bedeutet es in der Regel, dass das Arbeitsspeicherlimit Ihrer PHP-Konfiguration zu niedrig eingestellt ist. Während dieses Schrittes versucht LimeSurvey, ein Datenbank-Backup und ein Datei-Backup (von Dateien, die ersetzt werden sollen) zu erstellen.

Verwendung eines Proxy-Servers für die Verbindung mit update.limesurvey.org

Wenn Sie sich hinter einem Proxy befinden, müssen Sie einige Einstellungen anpassen, um ComfortUpdate nutzen zu können. Sie können die Proxy-Server-Einstellungen in der Konfigurationsdatei festgelegen (siehe https://manual.limesurvey.org/Optional_settings/de#General_settings).